Subject: [IPP] Question concerning 5100.7 section 5.2 "Job Description attributes that are defaults for the Document(s) in the Job"

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Thu, 7 Sep 2017 20:45:02 +0000

Greetings,

Perhaps since I wasn't involved in the creation of PWG 5100.7, I'm having difficulty understanding the meaning of its section 5.2 "Job Description attributes that are defaults for the Document(s) in the Job". I don't quite understand how to even parse its title. Does this mean that 5100.7 is prescribing that the Printer MUST use these Job Description attributes' values as the values for the corresponding Document Description attributes in the case where the Client hasn't overtly specified values for the individual Document objects in a Document creation operation? The use of "default" in this context seems different than the "xxx-default" convention from RFC 8011 etc.

Smith

/**
    Smith Kennedy
    Wireless Architect - Client Software - IPG-PPS
    Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB IF
    Chair, IEEE ISTO Printer Working Group
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Ira McDonald <[email-masked]>
Date: Thu, 7 Sep 2017 17:48:15 -0400

Hi Smith,

You got it right.

Remember first there were *only* Job attributes in IPP (no Document
object) and much later there were Document attributes.  And the word
"default" got conscripted into service in admittedly a very different
meaning (not pre-configured by an Admin but submitted by a Client).
A clarifying paragraph that contrasts these two uses of "default"
(i.e., apples and camels) would be a worthwhile errata to this spec.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Jan-April: 579 Park Place  Saline, MI  48176  734-944-0094
May-Dec: PO Box 221  Grand Marais, MI 49839  906-494-2434

On Thu, Sep 7, 2017 at 4:45 PM, Kennedy, Smith (Wireless Architect) <
[email-masked]> wrote:

> Greetings,
>
> Perhaps since I wasn't involved in the creation of PWG 5100.7, I'm having
> difficulty understanding the meaning of its section 5.2 "Job Description
> attributes that are defaults for the Document(s) in the Job". I don't quite
> understand how to even parse its title. Does this mean that 5100.7 is
> prescribing that the Printer MUST use these Job Description attributes'
> values as the values for the corresponding Document Description attributes
> in the case where the Client hasn't overtly specified values for the
> individual Document objects in a Document creation operation? The use of
> "default" in this context seems different than the "xxx-default" convention
> from RFC 8011 etc.
>
> Smith
>
> /**
>     Smith Kennedy

---

From: "Zehler, Peter" <[email-masked]>
Date: Fri, 8 Sep 2017 12:42:14 +0000

Smith,
Sorry about that.  I guess we should have used “inherited” and “overridden” in the job/document attribute discussions.
Pete

Peter Zehler
Xerox Corp.
Global Development Group
800 Phillips Rd, 111-04A
Webster NY, 14580-9701
Email: [email-masked]<mailto:[email-masked]>
Office: +1 (585) 265-8755<tel:%2B1%20%28585%29%20265-8755>
Fax: +1 (585) 422-0238<tel:%2B1%20%28585%29%20265-8755>
Mobile: +1 (585) 329-9508<tel:%2B1%20%28585%29%20329-9508>

From: ipp [mailto:[email-masked]] On Behalf Of Ira McDonald
Sent: Thursday, September 7, 2017 5:48 PM
To: Kennedy, Smith (Wireless Architect) <[email-masked]>; Ira McDonald <[email-masked]>
Cc: PWG IPP WG Reflector <[email-masked]>
Subject: Re: [IPP] Question concerning 5100.7 section 5.2 "Job Description attributes that are defaults for the Document(s) in the Job"

Hi Smith,
You got it right.

mailto: [email-masked]<mailto:[email-masked]>

On Thu, Sep 7, 2017 at 4:45 PM, Kennedy, Smith (Wireless Architect) <[email-masked]<mailto:[email-masked]>> wrote:
Greetings,

Smith

/**
    Smith Kennedy

_______________________________________________
ipp mailing list
[email-masked]<mailto:[email-masked]>
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Fri, 8 Sep 2017 19:02:54 +0000

No worries Pete! Do you agree with Ira about my understanding?

I'll file an erratum for this in the event that we (some day) handle PWG specification errata.

Smith

> On Sep 8, 2017, at 6:42 AM, Zehler, Peter <[email-masked]> wrote:
> 
> Smith,
> Email: [email-masked] <mailto:[email-masked]>
> Office: +1 (585) 265-8755 <tel:%2B1%20%28585%29%20265-8755>
> Fax: +1 (585) 422-0238 <tel:%2B1%20%28585%29%20265-8755>
> Mobile: +1 (585) 329-9508 <tel:%2B1%20%28585%29%20329-9508>
>  
> http://sites.google.com/site/blueroofmusic <http://sites.google.com/site/blueroofmusic>
> http://sites.google.com/site/highnorthinc <http://sites.google.com/site/highnorthinc>
> mailto: [email-masked] <mailto:[email-masked]>
> On Thu, Sep 7, 2017 at 4:45 PM, Kennedy, Smith (Wireless Architect) <[email-masked] <mailto:[email-masked]>> wrote:
> Greetings,
> 
> [email-masked] <mailto:[email-masked]>
> https://www.pwg.org/mailman/listinfo/ipp <https://www.pwg.org/mailman/listinfo/ipp>

---

From: Ira McDonald <[email-masked]>
Date: Fri, 8 Sep 2017 16:13:29 -0400

Hi Smith,

As with IETF RFCs and W3C Recommendations, publicly visible errata
have great value, even if the spec itself isn't updated for awhile.  They
can
documentation of curated and WG approved solutions to ambiguities or
missing text.

Cheers,
- Ira

On Fri, Sep 8, 2017 at 3:02 PM, Kennedy, Smith (Wireless Architect) <
[email-masked]> wrote:

> Sorry about that.  I guess we should have used “inherited” and
> “overridden” in the job/document attribute discussions.
> Pete
>
>
> Peter Zehler
> Xerox Corp.
> Global Development Group
> 800 Phillips Rd
> <https://maps.google.com/?q=800+Phillips+Rd&entry=gmail&source=g>, 111-04A
> Webster NY, 14580-9701
> Email: [email-masked]
> Office: +1 (585) 265-8755
> Fax: +1 (585) 422-0238 <%2B1%20%28585%29%20265-8755>
> Mobile: +1 (585) 329-9508
>
> *From:* ipp [mailto:[email-masked] <[email-masked]>] *On Behalf
> Of *Ira McDonald
> *Sent:* Thursday, September 7, 2017 5:48 PM
> *To:* Kennedy, Smith (Wireless Architect) <[email-masked]>; Ira
> McDonald <[email-masked]>
> *Cc:* PWG IPP WG Reflector <[email-masked]>
> *Subject:* Re: [IPP] Question concerning 5100.7 section 5.2 "Job
> Description attributes that are defaults for the Document(s) in the Job"
>
>
> Hi Smith,
>
> You got it right.
> Jan-April: 579 Park Place
> <https://maps.google.com/?q=579+Park+Place%C2%A0+Saline,+MI%C2%A0+48176%C2%A0+734&entry=gmail&source=g>
> Saline, MI
> <https://maps.google.com/?q=579+Park+Place%C2%A0+Saline,+MI%C2%A0+48176%C2%A0+734&entry=gmail&source=g>
> 48176
> <https://maps.google.com/?q=579+Park+Place%C2%A0+Saline,+MI%C2%A0+48176%C2%A0+734&entry=gmail&source=g>
> 734-944-0094 <(734)%20944-0094>
> <(906)%20494-2434>

---

From: "Zehler, Peter" <[email-masked]>
Date: Mon, 11 Sep 2017 11:14:33 +0000

Smith,
You are correct in your understanding.
Pete

Peter Zehler
Xerox Corp.
Global Development Group
800 Phillips Rd, 111-04A
Webster NY, 14580-9701

From: Kennedy, Smith (Wireless Architect) [mailto:[email-masked]]
Sent: Friday, September 8, 2017 3:03 PM
To: Zehler, Peter <[email-masked]>
Cc: Ira McDonald <[email-masked]>; PWG IPP WG Reflector <[email-masked]>
Subject: Re: [IPP] Question concerning 5100.7 section 5.2 "Job Description attributes that are defaults for the Document(s) in the Job"

Smith

On Sep 8, 2017, at 6:42 AM, Zehler, Peter <[email-masked]<mailto:[email-masked]>> wrote:

Smith,

Peter Zehler
Xerox Corp.
Global Development Group
800 Phillips Rd, 111-04A
Webster NY, 14580-9701

From: ipp [mailto:[email-masked]] On Behalf Of Ira McDonald
Sent: Thursday, September 7, 2017 5:48 PM
To: Kennedy, Smith (Wireless Architect) <[email-masked]<mailto:[email-masked]>>; Ira McDonald <[email-masked]<mailto:[email-masked]>>
Cc: PWG IPP WG Reflector <[email-masked]<mailto:[email-masked]>>
Subject: Re: [IPP] Question concerning 5100.7 section 5.2 "Job Description attributes that are defaults for the Document(s) in the Job"

Hi Smith,
You got it right.

Smith

/**
    Smith Kennedy